Loading...
Searching...
No Matches
Logger::LoggerRoot Class Reference

Implements the root class for loggers; does not allow a parent logger to be set. More...

## Public Member Functions

| constructor (int level)
| constructor (LoggerLevel level=LoggerLevel::getLevelAll())
| constructor (string level)
| setLevel (*LoggerLevel value)
| Overrides the level setter to prevent setting the root logger's level to nothing (an exception is thrown in this case).
| setParent (*Logger value)
| Overrides value setter as the root logger cannot have a parent; this method always throws an exception if the argument is a value.

## Detailed Description

Implements the root class for loggers; does not allow a parent logger to be set.

## Member Function Documentation

## constructor() [1/3]

Logger::LoggerRoot::constructor | ( | int | level | ) |

Parameters

  level | initial log level

## constructor() [2/3]

Logger::LoggerRoot::constructor | ( | LoggerLevel | level = LoggerLevel::getLevelAll() | ) |

Parameters

  level | initial log level

## constructor() [3/3]

Logger::LoggerRoot::constructor | ( | string | level | ) |

Parameters

  level | initial log level

## setLevel()

Logger::LoggerRoot::setLevel | ( | *LoggerLevel | value | ) |

Overrides the level setter to prevent setting the root logger's level to nothing (an exception is thrown in this case).

The root logger must always have a level.

Parameters

  value | the level to set

Exceptions

  LOGGER-ERROR | if level is nothing

## setParent()

Logger::LoggerRoot::setParent | ( | *Logger | value | ) |

Overrides value setter as the root logger cannot have a parent; this method always throws an exception if the argument is a value.

Exceptions

  LOGGER-ERROR | if parent exists